<template>
  <v-container>
    <v-row>
      <v-col cols="12">
        <v-text-field v-model="search" append-icon="mdi-magnify" label="Search Stacks" solo></v-text-field>
      </v-col>
    </v-row>

    <v-row>
      <v-col
        v-for="stack in filteredStacks"
        :key="stack.id"
        cols="12" sm="6" md="4"
        >
        <v-card>
          <v-card-title>{{ stack.name }}</v-card-title>
          <v-card-subtitle>{{ stack.description }}</v-card-subtitle>
          <v-card-actions>
            <v-btn color="primary" text @click="viewStack(stack.id)">View</v-btn>
            <v-btn color="green" text @click="deployStack(stack.id)">Deploy</v-btn>
          </v-card-actions>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
export default {
  data() {
    return {
      search: '',
      stacks: [
        // Sample data, replace with actual data from your API
        { id: 1, name: 'LAMP Stack', description: 'Linux, Apache, MySQL, PHP' },
        { id: 2, name: 'MEAN Stack', description: 'MongoDB, Express.js, Angular, Node.js' },
        // Add more stack data here
      ],
    }
  },
  computed: {
    filteredStacks() {
      return this.stacks.filter(stack => stack.name.toLowerCase().includes(this.search.toLowerCase()))
    },
  },
  methods: {
    viewStack(id) {
      // Logic to view stack details
    },
    deployStack(id) {
      // Logic to deploy the selected stack
    },
  },
};
</script>

<style scoped>
/* Custom styles for stacks page */
</style>
